@use "sass:list";
@use "../partials/palette";

.accordion-item {
  border: none;
  border-bottom: 0.0625rem solid list.nth(palette.$purple, 2);
  &:last-of-type {
    border-bottom: none;
  }
  .accordion-button {
    box-shadow: none;
  }
}

#cryptoAccordion {
  .form-control {
    color: list.nth(palette.$purple, 8);
  }

  .input-group input,
  .input-group .input-group-text {
    border: 0.0625rem solid list.nth(palette.$purple, 8);
    border-radius: 0.25rem;
  }
  .input-group input {
    border-right: none;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
  }

  .input-group .input-group-text {
    border-left: none;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
    background: palette.$white;
    color: list.nth(palette.$purple, 8);
  }

  .currencyAddress--copy,
  .currencyAddress--openModal {
    cursor: pointer;
    text-decoration: none;
  }

  .icon-qr-code {
    font-size: 1.5rem;
    line-height: 2;
    padding-left: 0.375rem;
    color: list.nth(palette.$purple, 8);
  }

  .accordion-body {
    padding-right: 1.125rem;
  }

  .Cards--noscript & {
    .accordion-item {
      border: none;
      border-bottom: 0.0625rem solid list.nth(palette.$purple, 2);
    }

    .input-group input,
    .input-group .input-group-text {
      border: 0.0625rem solid list.nth(palette.$purple, 8);
    }
    .input-group input {
      border-right: none;
    }

    .collapse:not(.show) {
      display: block;
    }
  }
}
